Skip to main content
`Ctrl`+`K`

# PetscSortRemoveDupsInt

Sorts an array of `PetscInt` in place in increasing order removes all duplicate entries

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortRemoveDupsInt(PetscInt *n, PetscInt X[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscInt`

## Output Parameter

- n - number of non-redundant values

## See Also

`PetscIntSortSemiOrdered()`, `PetscSortReal()`, `PetscSortIntWithPermutation()`, `PetscSortInt()`, `PetscSortedRemoveDupsInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages